
From: Andries.Brouwer@cwi.nl

OSF partitions are mostly found on alpha machines.  It was reported that
the partition numbering changed between 2.4 and 2.6.  The patch below makes
2.6 use the 2.4 numbering scheme.



 25-akpm/fs/partitions/osf.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/partitions/osf.c~osf-partition-handling fs/partitions/osf.c
--- 25/fs/partitions/osf.c~osf-partition-handling	Mon Jul 28 12:20:27 2003
+++ 25-akpm/fs/partitions/osf.c	Mon Jul 28 12:20:27 2003
@@ -67,9 +67,10 @@ int osf_partition(struct parsed_partitio
 		if (slot == state->limit)
 		        break;
 		if (le32_to_cpu(partition->p_size))
-			put_partition(state, slot++,
+			put_partition(state, slot,
 				le32_to_cpu(partition->p_offset),
 				le32_to_cpu(partition->p_size));
+		slot++;
 	}
 	printk("\n");
 	put_dev_sector(sect);

_
